org.jboss.jca.adapters.jdbc

## Class Constants

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.Constants

-     public class Constants
      extends java.lang.Object

  Constants
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SPY_LOGGER_CATEGORY` The spy logger category
    `static java.lang.String` | `SPY_LOGGER_PREFIX_CALLABLE_STATEMENT` The spy logger prefix for a callable statement
    `static java.lang.String` | `SPY_LOGGER_PREFIX_CONNECTION` The spy logger prefix for a connection
    `static java.lang.String` | `SPY_LOGGER_PREFIX_DATASOURCE` The spy logger prefix for a datasource
    `static java.lang.String` | `SPY_LOGGER_PREFIX_PREPARED_STATEMENT` The spy logger prefix for a prepared statement
    `static java.lang.String` | `SPY_LOGGER_PREFIX_RESULTSET` The spy logger prefix for a result set
    `static java.lang.String` | `SPY_LOGGER_PREFIX_STATEMENT` The spy logger prefix for a statement

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPY_LOGGER_CATEGORY

          public static final java.lang.String SPY_LOGGER_CATEGORY

      The spy logger category
      See Also:
        Constant Field Values

    - #### SPY_LOGGER_PREFIX_DATASOURCE

          public static final java.lang.String SPY_LOGGER_PREFIX_DATASOURCE

      The spy logger prefix for a datasource
      See Also:
        Constant Field Values

    - #### SPY_LOGGER_PREFIX_CONNECTION

          public static final java.lang.String SPY_LOGGER_PREFIX_CONNECTION

      The spy logger prefix for a connection
      See Also:
        Constant Field Values

    - #### SPY_LOGGER_PREFIX_STATEMENT

          public static final java.lang.String SPY_LOGGER_PREFIX_STATEMENT

      The spy logger prefix for a statement
      See Also:
        Constant Field Values

    - #### SPY_LOGGER_PREFIX_PREPARED_STATEMENT

          public static final java.lang.String SPY_LOGGER_PREFIX_PREPARED_STATEMENT

      The spy logger prefix for a prepared statement
      See Also:
        Constant Field Values

    - #### SPY_LOGGER_PREFIX_CALLABLE_STATEMENT

          public static final java.lang.String SPY_LOGGER_PREFIX_CALLABLE_STATEMENT

      The spy logger prefix for a callable statement
      See Also:
        Constant Field Values

    - #### SPY_LOGGER_PREFIX_RESULTSET

          public static final java.lang.String SPY_LOGGER_PREFIX_RESULTSET

      The spy logger prefix for a result set
      See Also:
        Constant Field Values

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)